summaryrefslogtreecommitdiff
path: root/tests/install
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-11-09 18:50:21 +0000
committerPádraig Brady <P@draigBrady.com>2015-11-10 12:52:50 +0000
commit41a4c714e49e26f290e0c2e27a61d9086e633b52 (patch)
treefec580665d88706d3cd5d98e3cedffcf48ef1d1a /tests/install
parenteafaa2e88f7af16756142a31ab63d032b31395e3 (diff)
downloadcoreutils-41a4c714e49e26f290e0c2e27a61d9086e633b52.tar.xz
tests: cleanup trapping of signal names
A side effect of this cleanup is we no longer depend on our own kill command being built. * init.cfg (require_trap_signame_): A new function to verify that the shell supports specifying traps by signal name. (require_kill_group_): A new function to ensure the shell supports sending a signal to a group. * tests/du/move-dir-while-traversing.sh: Ensure trap supports signal names. * tests/misc/stty-invalid.sh: Likewise. * tests/misc/stty-pairs.sh: Likewise. * tests/misc/stty-row-col.sh: Likewise. * tests/misc/stty.sh: Likewise. * tests/misc/sort-compress.sh: Likewise. Also simplify trap call. * tests/install/trap.sh: Likewise. * tests/misc/timeout.sh: Likewise. * tests/dd/stats.sh: Likewise. Also use default kill command. * tests/misc/timeout-group.sh: Likewise.
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/trap.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/install/trap.sh b/tests/install/trap.sh
index 0851ba623..157d1bc1f 100755
--- a/tests/install/trap.sh
+++ b/tests/install/trap.sh
@@ -19,12 +19,12 @@
. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
print_ver_ ginstall
+require_trap_signame_
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
- # ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=$(env kill -l CHLD 2>/dev/null) && trap '' $sig
+ trap '' CHLD
# Before 2004-04-21, install would infloop, in the 'while (wait...' loop:
exec ginstall -s "$abs_top_builddir/src/ginstall$EXEEXT" .